org.eclipse.ease.debugging

## Class ScriptDebugFrame

- java.lang.Object
- - org.eclipse.ease.debugging.ScriptDebugFrame

All Implemented Interfaces:
  IScriptDebugFrame

    public class ScriptDebugFrame
    extends Object
    implements IScriptDebugFrame

Frame containing debug location information for a dedicated script source.

### Field Summary

### Fields inherited from interface org.eclipse.ease.debugging.IScriptDebugFrame

`TYPE_FILE, TYPE_FUNCTION`

### Constructor Summary

Constructors
Constructor and Description
`ScriptDebugFrame(IScriptDebugFrame frame)`
`ScriptDebugFrame(Script script, int lineNumber, int type)`

### Method Summary

Methods
`int` `getLineNumber()`
`String` `getName()`
`Script` `getScript()`
`int` `getType()`
`Map<String,Object>` `getVariables()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptDebugFrame

    public ScriptDebugFrame(Script script,
                    int lineNumber,
                    int type)

#### ScriptDebugFrame

    public ScriptDebugFrame(IScriptDebugFrame frame)

### Method Detail

#### getLineNumber

    public int getLineNumber()

Specified by:
  `getLineNumber` in interface `IScriptDebugFrame`

#### getScript

    public Script getScript()

Specified by:
  `getScript` in interface `IScriptDebugFrame`

#### getType

    public int getType()

Specified by:
  `getType` in interface `IScriptDebugFrame`

#### getName

    public String getName()

Specified by:
  `getName` in interface `IScriptDebugFrame`

#### getVariables

    public Map<String,Object> getVariables()

Specified by:
  `getVariables` in interface `IScriptDebugFrame`